Subject: Create expensive looks for less

From: " Send-archive" <[email-masked] >
Date: Fri, 6 Jul 2007 01:14:34 -0500

Do you know what time it is? Time for you to buy a gorgeous replica timepiece!
Why pay more for the same blameless quality? Our prices will please you!
Pick up a perfect chronometer for you out of our huge stock now!
http://stflu.com